/*
 Theme Name:   mvz
 Theme URI:    
 Description:  
 Author:       
 Author URI:   
 Template:     generatepress
 Version:      0.1
*/

/* THEME TWEAKS  */

/* Header padding with responsive clamp */
.site-header {
    padding-inline: clamp(1rem, 0.848rem + 0.758vw, 1.5rem);
}

/* Typography wrapping */
/* Balance headings and elements with `.balance` class */
:is(h1, h2, h3, h4, h5, h6),
.balance {
    text-wrap: balance;
}

/* Use pretty wrapping for body text elements */
p,
blockquote,
li {
    text-wrap: pretty;
}
ul:not(#menu-hauptmenue, #menu-mobile-menue){
    margin: 0 !important;
}
@media (min-width: 980px) {
    .display-on-mobile {
        display:none;
    }
}

.teaser_start_list ul {
    list-style: none;
    padding: 0;
    margin: 0;
    padding-left: 30px;
}
@media (max-width: 767px) {
    .teaser_start_list ul {
        padding-left: 15px;
    }
}
.teaser_start_list ul li {
    position: relative;
    padding-left: 2.4rem;
    margin-bottom: 0.5rem;
}
.teaser_start_list ul li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0.25em;
    width: 19px;
    height: 19px;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 80.551 19.093 13.838'%3E%3Cg transform='translate(-447.828 -1136.889)'%3E%3Cpath fill='%23c5003e' d='m466.828 1219.008-12.226 12.432-6.774-6.886 1.543-1.568 5.231 5.317 10.682-10.863z'/%3E%3C/g%3E%3C/svg%3E") no-repeat center;
    background-size: contain;
}
/* UTILITIES */

/* Line Clamping */
.line-limit-3,
.line-limit-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.line-limit-3 {
    -webkit-line-clamp: 3;
}

.line-limit-2 {
    -webkit-line-clamp: 2;
}

/* Visually Hidden (accessible to screen readers) */
.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/* Smooth Transition Utility */
.transition {
    transition: all 0.25s ease-in-out;
}


/*  GP MENU ACCESSIBILITY TWEAKS */

#site-navigation ul.sub-menu {
    display: block;
}

#site-navigation li:hover .gp-icon svg {
    transform: rotate(180deg);
}

#site-navigation li:hover .sub-menu {
    visibility: visible;
}


/* 
   STRETCH LINK (from Bootstrap)
   Source: https://youtu.be/HBriBrnRlQE?si=DLiSXEiBHt6lw91l
   Note: Only use ONE link per card or this breaks!
*/

.stretch-link {
    position: relative;
}

.stretch-link a::after {
    content: '';
    position: absolute;
    inset: 0;
}

.stretch-link a:is(:focus-visible)::after {
    outline: 2px solid;
}

.stretch-link a:is(:hover, :focus) {
    outline: none;
}

/*  CONTAINER WRAPPER */

.site-wrapper {
    width: 100%;
   /* max-width: 1760px; */
    margin-inline: auto;
    background: var(--neutral-50);
}

/*  TYPOGRAPHY  */

/* Font Family Utilities */
.ff-body {
    
}

.ff-heading {
    
}
/* Heading and utility class font assignment */
h1, h2, h4, h5, h6,
[class^="fs-"] {
    font-weight: 100;
    
}

.fs-p {
    
}
:root {
/* 18px 20px     */
  --fluid-body-font: clamp(1.125rem, 1.0962rem + 0.1282vw, 1.25rem);

/* 32px 70px     */
  --fluid-h1-font: clamp(2rem, 1.3893rem + 2.7143vw, 4.375rem);

/* 25px 35px     */
  --fluid-h2-font: clamp(1.5625rem, 1.4018rem + 0.7143vw, 2.1875rem);

/* 22px 35px     */
  --fluid-h3-font: clamp(1.375rem, 1.1646rem + 0.9353vw, 2.1875rem);
}

body {
  font-size: var(--fluid-body-font);
}

h1, .fs-h1 {
    font-size: var(--fluid-h1-font);
    font-weight: 100 !important;
}

h2, .fs-h2 {
    font-size: var(--fluid-h2-font);
    font-weight: 400 !important;
}

h3, .fs-h3 {
    font-size: var(--fluid-h3-font);
    font-weight: 400 ;
    line-height: 1.15em !important;
}

p, .fs-p {
    font-size: var(--fluid-body-font);
}

/* Navigation */
:where(.gb-navigation[data-gb-mobile-menu-type="full-overlay"]) .gb-menu-container--mobile .gb-menu-toggle--clone {
  position: absolute;
  right: 10px !important;
  top: 38px !important;

}
nav.gb-navigation--mobile #menu-hauptmenue {
    margin-top: 20px;
    margin-left: 48px;
}
nav.gb-navigation--mobile #menu-hauptmenue li {
    font-size: 25px;
    line-height: 45px;
}

.pill {
  align-items: center;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-style: solid;
  border-left-width: 1px;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-style: solid;
  border-top-width: 1px;
  color: var(--neutral-700);
  display: inline-flex;
  font-size: 1rem;
  font-weight: 600;
  text-decoration: none;
  transition: all 0.25s ease-in-out 0s;
  border-radius: 100vw;
  padding: .5em 1.5em;
}

.gb-site-header.header-sticky {
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.mylink::after {
  content: '';
  display: inline-block;
  width: 1.1em;              /* skaliert mit der Schrift */
  height: 1.1em;
  margin-left: 0.35em;
  vertical-align: middle;
  /* Icon-Farbe = Textfarbe */
  background-color: currentColor;
  -webkit-mask: no-repeat center / contain url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-420.5 297.5 25 25'><g transform='translate(-412 -902)'><g transform='translate(7.755 1.433)'><line fill='none' stroke='white' stroke-width='2' stroke-linecap='round' x1='-10.397' y1='1210.567' x2='1.388' y2='1210.567'/><path fill='none' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' d='M-3.423,1205.758l4.81,4.81l-4.81,4.81'/></g><g transform='translate(412 902)'><circle fill='none' cx='-408' cy='310' r='12.5'/><circle fill='none' stroke='white' stroke-width='2' cx='-408' cy='310' r='11.5'/></g></g></svg>");
          mask: no-repeat center / contain url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-420.5 297.5 25 25'><g transform='translate(-412 -902)'><g transform='translate(7.755 1.433)'><line fill='none' stroke='white' stroke-width='2' stroke-linecap='round' x1='-10.397' y1='1210.567' x2='1.388' y2='1210.567'/><path fill='none' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' d='M-3.423,1205.758l4.81,4.81l-4.81,4.81'/></g><g transform='translate(412 902)'><circle fill='none' cx='-408' cy='310' r='12.5'/><circle fill='none' stroke='white' stroke-width='2' cx='-408' cy='310' r='11.5'/></g></g></svg>");
}

/* Very important for having a smooth transitions. */
.swiper-free-mode > .swiper-wrapper {
    transition-timing-function: linear !important;
}


*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}
body {
  min-height: 100vh;
  line-height: 1.5;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
#page {
    padding-left: 16px;
    padding-right: 16px;
}
img,
picture {
  max-width: 100%;
  display: block;
}

.u-wrapper {
  max-width: 1440px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  width: 100%;
}

.c-carousel {
  overflow-x: hidden;
  position: relative;
  width: 100%;
}

.c-carousel__wrapper.swiper {
  margin: 0 48px;
  position: static;
}

.c-carousel__inner-wrapper.swiper-wrapper {
  display: flex;
  align-items: center;
}

.c-carousel img {
  margin: 0 auto;
}

.site-footer p {
  line-height: 1.2;
}

.header_img {
 -webkit-mask-image: linear-gradient(to right,
        transparent 0%,
        black 30%,
        black 100%);
    mask-image: linear-gradient(to right,
        transparent 0%,
        black 30%,
        black 100%);
}

@media (max-width: 1024px) {
.header_img {
 -webkit-mask-image: linear-gradient(to top,
        transparent 0%,
        black 35%,
        black 100%);
    mask-image: linear-gradient(to top,
        transparent 0%,
        black 35%,
        black 100%);
}
}

.contact_img {
 -webkit-mask-image: linear-gradient(to top,
        transparent 0%,
        black 35%,
        black 100%);
    mask-image: linear-gradient(to top,
        transparent 0%,
        black 35%,
        black 100%);
}





.btn_send_form .frm_submit button {
    width: clamp(250px, 92.1143px + 43.8571vw, 864px) !important;
    font-size: clamp(1.25rem, 1.0337rem + 0.9615vw, 2.1875rem) !important;
    border-radius: clamp(8px, 4.9143px + 0.8571vw, 20px) !important;
    font-weight: 100 !important;
    padding-top: clamp(8px, 4.9143px + 0.8571vw, 20px) !important;
    padding-bottom: clamp(8px, 4.9143px + 0.8571vw, 20px) !important;

}
.frm_style_formidable-stil.with_frm_style .frm_submit button:hover {
  background: var(--btn-hover) !important;
}
.btn_send_form {
    margin-left: auto !important;
    margin-right: auto !important;
}
.frm_style_formidable-stil.with_frm_style .form-field {
  margin-bottom: clamp(20px, 16.1429px + 1.0714vw, 35px) !important;
}
.frm_opt_container {
    margin-left: auto !important;
    margin-right: auto !important;
    width: clamp(250px, 92.1143px + 43.8571vw, 864px) ;
}
#frm_error_field_a82ek-0 {
    margin-left: auto !important;
    margin-right: auto !important;
    width: clamp(250px, 92.1143px + 43.8571vw, 864px) ;
}
@media (max-width: 767px) {
    .frm_opt_container {
        width: auto !important;
    }
}
.frm_style_formidable-stil.with_frm_style input::placeholder,
.with_frm_style.frm_style_formidable-stil input::placeholder,
.frm_style_formidable-stil.with_frm_style textarea::placeholder,
.with_frm_style.frm_style_formidable-stil textarea::placeholder { color: #D0D0D0; }
.with_frm_style .frm_checkbox label { font-weight: 100; }